%{?mgaversion: %global mdkversion %(echo $[(2010+%mgaversion)*100])}
%define teventmajor	0
%define epoch 1

%define libtevent %mklibname tevent %{teventmajor}
%define teventdevel %mklibname -d tevent
%define check_sig() export GNUPGHOME=%{_tmppath}/rpm-gpghome \
if [ -d "$GNUPGHOME" ] \
then echo "Error, GNUPGHOME $GNUPGHOME exists, remove it and try again"; exit 1 \
fi \
install -d -m700 $GNUPGHOME \
gpg --import %{1} \
gpg --trust-model always --verify %{2} \
rm -Rf $GNUPGHOME \

Name: tevent
URL: http://tevent.samba.org/
License: GPLv3
Version: 0.9.19
# Shipped in samba4 without internal version:
Epoch: %{epoch}
Release: %mkrel 3
Group: System/Libraries
Summary: Samba4's event management library
Source: http://samba.org/ftp/tevent/tevent-%{version}.tar.gz
Source1: http://samba.org/ftp/tevent/tevent-%{version}.tar.asc
Source2: samba-bugs.asc
Patch1: samba4-fix-tevent-link-order.patch
BuildRequires: talloc-devel >= 2.0.6 python-talloc pkgconfig(pytalloc-util) >= 2.0.6
BuildRequires: gnupg

%description
Tevent is an event system based on the talloc memory management library. It is
the core event system used in Samba. Tevent has support for many event types,
including timers, signals, and the classic file descriptor events. Tevent also
provides helpers to deal with asynchronous code providing the tevent_req
(Tevent Request) functions.

%package -n %{libtevent}
Group: System/Libraries
Summary: Samba4's event management library

%description -n %{libtevent}
Samba4's event management library

%package -n %{teventdevel}
Group: Development/C
Summary: Development files for Samba4's event management library
Provides: tevent-devel = %{epoch}:%{version}-%{release}
Requires: %{libtevent} = %{epoch}:%{version}-%{release}

%description -n %{teventdevel}
Development files for Samba4's event management library

%package -n python-tevent
Group: Development/Python
Summary: Python module for Samba4's event management library

%description -n python-tevent
Python module for Samba4's event management library

%prep
VERIFYSOURCE=%{SOURCE0}
VERIFYSOURCE=${VERIFYSOURCE%%.gz}
gzip -dc %{SOURCE0} > $VERIFYSOURCE

%check_sig %{SOURCE2} %{SOURCE1} $VERIFYSOURCE

rm -f $VERIFYSOURCE

%setup -q
#patch1 -p3 -b .linkorder

%build
export PYTHONDIR=%{py_platsitedir}
%configure2_5x
%make

%install
rm -Rf %{buildroot}
%makeinstall_std

%clean
rm -Rf %{buildroot}

%files -n %{libtevent}
%{_libdir}/libtevent.so.%{teventmajor}*

%files -n %{teventdevel}
%{_libdir}/libtevent.so
%{_includedir}/tevent.h
#%{_includedir}/tevent_internal.h
%{_libdir}/pkgconfig/tevent.pc

%files -n python-tevent
%{py_platsitedir}/_tevent.so
%{py_platsitedir}/tevent.py*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1:0.9.19-3.mga4
+ Revision: 540872
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 luigiwalser <luigiwalser> 1:0.9.19-2.mga4
+ Revision: 494409
- include pyc and pyo files in python subpackage files list

* Fri Aug 09 2013 luigiwalser <luigiwalser> 1:0.9.19-1.mga4
+ Revision: 464833
- 0.9.19

* Mon Jul 08 2013 luigiwalser <luigiwalser> 1:0.9.18-1.mga4
+ Revision: 451046
- 0.9.18

* Mon Jan 14 2013 umeabot <umeabot> 1:0.9.17-2.mga3
+ Revision: 384417
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 18 2012 tv <tv> 1:0.9.17-1.mga3
+ Revision: 307930
- new release

* Thu Aug 16 2012 fedya <fedya> 1:0.9.16-1.mga3
+ Revision: 281516
- BR: gnupg
- version update 0.9.16

  + shlomif <shlomif>
    - Correct a typo

* Thu Dec 22 2011 buchan <buchan> 1:0.9.14-1.mga2
+ Revision: 185826
- New version 0.9.14
- Add signature verification
- Retain compatability with Mandriva

* Tue Sep 06 2011 tv <tv> 1:0.9.12-1.mga2
+ Revision: 139857
- new release

* Sun May 08 2011 ennael <ennael> 1:0.9.11-1.mga1
+ Revision: 96443
- clean spec file
- imported package tevent


* Thu May 05 2011 Buchan Milne <bgmilne@mandriva.org> 1:0.9.11-1mdv2011.0
+ Revision: 669059
- update to new version 0.9.11

* Mon May 02 2011 Buchan Milne <bgmilne@mandriva.org> 1:0.9.10-1
+ Revision: 661923
- Help waf find the right place for python modules on x86_64
- New version 0.9.10

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.8-3mdv2011.0
+ Revision: 607991
- rebuild

* Fri Mar 05 2010 Buchan Milne <bgmilne@mandriva.org> 1:0.9.8-2mdv2010.1
+ Revision: 514795
- Rebuild for newer talloc

* Wed Feb 24 2010 Buchan Milne <bgmilne@mandriva.org> 1:0.9.8-1mdv2010.1
+ Revision: 510756
- import tevent


